WoltLab Cloud Gruppenleiter 5.3.0

Dieses Plugin für WoltLab Suite erlaubt es, Benutzergruppen als Gruppenleiter moderierter Benutzergruppen zu nutzen.

Dieses Plugin für WoltLab Suite erlaubt es, eine oder mehrere Benutzergruppen als Gruppenleiter moderierter Benutzergruppen zu nutzen. Die Mitglieder der gewählten Benutzergruppe(n) sind automatisch Gruppenleiter.

Einschränkungen

  • Es können nur unmoderierte Benutzergruppen als Gruppenleiter-Gruppe ausgewählt werden.
  • Es können nur Gruppen ausgewählt werden, die mindestens ein Mitglied haben.
  • Änderungen der Zuordnung Benutzer <-> Benutzergruppen werden verzögert per Cronjob auf die Gruppenleitung übertragen.
  • Manuell eingegebene Gruppenleiter werden als solche gelöscht, wenn sie nicht Mitglied der gewählten Gruppenleiter-Gruppen sind.
  • Verlieren Gruppenleiter-Gruppen nach der Konfiguration ihre Mitglieder, hat die moderierte Gruppe keinen Gruppenleiter mehr.

Versionen

  • Versionen 5.3.x sind für WoltLab Suite 3.0 bis 5.3

Images

  • Version 5.3.0

    Kompatibilität mit WSC 5.3

  • Version 5.2.1 pl 1

    Behebt einen Fehler mit Besitzer-Gruppen in WSC 5.2.

  • Version 5.2.0

    Version für WSC 5.2

  • Version 3.1.1

    Wartungsupdate

  • Version 3.0.2

    Wartungsupdate

  • Version 3.1.0

    Version für WSC 3.1

  • Version 3.0.0

  • Vielen Dank für dieses Plugin. Vorschlag: Vielleicht kann man die Auswahlliste sortieren.

    • Letztlich ist sie sortiert; nur eben nach der ID der Gruppe und damit nach dem Erstellungsdatum.

      Eine Sortierung nach Namen ist nur schwer umsetzbar, wenn mehrsprachige Gruppennamen genutzt werden.

  • Hello,


    I tried to update this but it gives me an error, do you have any advise?


    "An update of package com.uz.wcf.groupLeader from version 3.0.0 to 3.0.2 is not supported."


    Thanks,

    René

    • You have to manually download and install version 3.0.1 to be able to update to 3.0.2. But obviously 3.0.1 is missing here. I'll have to check that.

      In the meantime, you can download it from my site; just scroll to the bottom for the versions: https://zaydowicz.de/shop/inde…product/29-gruppenleiter/

    • Worked like a charm, thanks for the quick reply and the help! :)

  • Ich sehe dieses Plugin eher als unnütze derzeit.


    Gruppenmitglieder werden nach entfernen nicht als Gruppenleiter entfernt.
    Im Grunde trägt es Plugin nur mitglieder in die obere ziele ein die man trotzdem wieder bearbeiten muss wenn ein Mitglied z.b. diese Gruppe verlässt.


    Scenario in meinem Forum.
    Mein Admin Team verwaltet 24 Gruppen. Ich werfe einen raus so muss ich alle 24 Gruppen öffnen und die Gruppe neu Setzen oder diesen Mitglied einzeln entfernen.


    Korrigiert mich wenn ich falsch liege. Wenn ich richtig liege würde ich mich über eine entsprechende Überarbeitung sehr freuen.

    • Aus der Beschreibung:

      • Änderungen der Zuordnung Benutzer <-> Benutzergruppen werden verzögert per Cronjob auf die Gruppenleitung übertragen.

      Also nach Änderungen entweder Cronjob manuell ausführen oder automatische Ausführung abwarten.

  • Moin Udo,


    wie siehts mit den moderierten Gruppen aus? Wird das noch hinzugefügt? :)


    LG

  • Funktioniert leider nicht, bitte updaten

    Dieses Paket ist inkompatibel mit den folgenden, installierten Paketen:

    • „WoltLab Suite Core“ (com.woltlab.wcf)
    • Die Version für WSC 3.1 wartet noch auf Freischaltung. Ist aber ca. gegen Mittag in meinem Shop verfügbar (kostenlos).

    • Danke

  • Hey :)

    Ich habe das Problem, das ich nur die Grund-Administrator Gruppe als Gruppenleiter für alle Gruppen angeben kann...
    Wie kann ich anderen Gruppen die rechte geben wiederrum noch Andere Gruppen zu verwalten ?

    LG

    • Es können nur Gruppen genutzt werden, die min. ein Mitglied haben und die nicht moderierte Gruppen sind.

    • kann es eingerichtet werden das man es auch bei moderierten Gruppen verwenden kann, so das man sich Bewerben kann?

    • Da ist vorgesehen.

  • Hey,

    gibt es das Plugin auch für das WBB4.1/4.0?

    • Ja. Bitte per Konversation melden und ich schicke es.

  • Essentiell für den effektiven Forenbetrieb. Geniales Produkt, wie immer von Udo!

  • Wird es eventuell auch eine Version für das WBB 4.1 resp. WCF 2.1 geben?

    • Gibt es. Allerdings wird die nicht mehr unterstützt. Siehe Konversation.

    • Könntest du mir dies vielleicht zu schicken? könnte das gebrauchen :)

  • Benötigt das Paket „com.woltlab.wcf.moderatedUserGroup“ in Version „3.0.0“ oder höher, dies ist aber weder installiert noch wird es mitgeliefert.


    Wo gibt es das?

    • Es ist Bestandteil jeder Woltlab-Anwendung (optionales Paket), also Forum, Blog...
      Wer nur WoltLab Suite Core mit Drittanbieter-Anwendungen nutzt, hat es nicht und braucht mein Plugin nicht.

  • Auf das Plugin hab ich gewartet :D